select,
input[type=button],
input[type=submit],
input[type=file],
button {
  cursor: pointer;
}

/* Webkit browsers add a 2px margin outside the chrome of form elements */
button,
input,
select,
textarea {
  margin: 0;
  font: inherit;
}

input,
select {
  vertical-align: middle;
}

[type='text'],
[type='password'],
[type='date'],
[type='datetime'],
[type='datetime-local'],
[type='month'],
[type='week'],
[type='email'],
[type='number'],
[type='search'],
[type='tel'],
[type='time'],
[type='url'],
[type='color'],
select,
textarea {
  width: 100%;
  padding: .5rem;
  margin-bottom: 1rem;
  border: 1px solid var(--r-lightgray);
  border-radius: 4px;
}

input:focus {
  outline: 1px solid var(--r-blue);
  border-color: transparent;
}


.search-input {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  height: 38px;
}

.search-button {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  height: 38px;
}

label {
  display: block;
  margin-bottom: .5rem;
}

.checkbox {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  margin-bottom: 0.5rem;
}

.checkbox label {
  margin-bottom: 0;
}

input[type=checkbox] {
  display: none;
}

.checkbox label {
  display: inline-block;
  cursor: pointer;
  padding-left: 25px;
  position:relative;
}

input[type=checkbox] + label:after {
  font-family: 'Material Icons';
  content: "";
  display: inline-block;
  width: 18px;
  height: 18px;
  position: absolute;
  left: 0;
  border: 1px solid #757575;
  border-radius: 2px;
}

input[type=checkbox]:checked + label:after {
  content: "\E5CA";
  color: #fff;
  font-size: 16px;
  text-align: center;
  line-height: 16px;
  background: var(--r-blue);
  border-color: var(--r-blue);
}

input[type="radio"] {
  vertical-align: text-bottom;
}

textarea {
  min-height: 80px;
  resize: vertical;
}

.required:after {
  color: var(--r-red);
  content: ' *';
}

.error {
  color: var(--r-red);
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: var(--r-gray);
  opacity: 1; /* Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: var(--r-gray);
}

::-ms-input-placeholder { /* Microsoft Edge */
  color: var(--r-gray);
}